// Mixins
// --------------------------
@mixin icomoon-icon() {
    display: inline-block;
    font: normal normal normal #{$icomoon-font-size-base}/#{$icomoon-line-height-base} IcoMoon; // shortening font declaration
    font-size: inherit; // can't have font-size inherit on line above, so need to override
    text-rendering: auto; // optimizelegibility throws things off #1094
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

@mixin icomoon-icon-rotate($degrees, $rotation) {
    -ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})";
    -webkit-transform: rotate($degrees);
    -ms-transform: rotate($degrees);
    transform: rotate($degrees);
}

@mixin icomoon-icon-flip($horiz, $vert, $rotation) {
    -ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation}, mirror=1)";
    -webkit-transform: scale($horiz, $vert);
    -ms-transform: scale($horiz, $vert);
    transform: scale($horiz, $vert);
}